package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PositionSalaryStandardCollection extends AbstractObjectCollection 
{
    public PositionSalaryStandardCollection()
    {
        super(PositionSalaryStandardInfo.class);
    }
    public boolean add(PositionSalaryStandardInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PositionSalaryStandardCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PositionSalaryStandardInfo item)
    {
        return removeObject(item);
    }
    public PositionSalaryStandardInfo get(int index)
    {
        return(PositionSalaryStandardInfo)getObject(index);
    }
    public PositionSalaryStandardInfo get(Object key)
    {
        return(PositionSalaryStandardInfo)getObject(key);
    }
    public void set(int index, PositionSalaryStandardInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PositionSalaryStandardInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PositionSalaryStandardInfo item)
    {
        return super.indexOf(item);
    }
}